import { EventObject, State, Interpreter, Typestate, StateSchema } from 'xstate';
import { Observable } from 'rxjs';
export declare function useService<TContext, TStateSchema extends StateSchema = any, TEvent extends EventObject = EventObject, TTypestate extends Typestate<TContext> = {
    value: any;
    context: TContext;
}>(service: Interpreter<TContext, TStateSchema, TEvent, TTypestate>): {
    state$: Observable<State<TContext, TEvent, TStateSchema, TTypestate>>;
    send: Interpreter<TContext, TStateSchema, TEvent, TTypestate>['send'];
    service: Interpreter<TContext, TStateSchema, TEvent, TTypestate>;
};
